Package org.astrogrid.samp.client

# Interface CallableClient

All Known Implementing Classes:
  `Calculator`

public interface CallableClient
Defines callbacks which the hub can make on a callable client.

Since:
  16 Jul 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`receiveCall(String senderId, String msgId, Message message)`
Receives a message for which a response is required.
`void`
`receiveNotification(String senderId, Message message)`
Receives a message for which no response is required.
`void`
`receiveResponse(String responderId, String msgTag, Response response)`
Receives a response to a message previously sent by this client.

## Method Details

### receiveNotification

void receiveNotification(String senderId, Message message) throws Exception
Receives a message for which no response is required.

Parameters:
  `senderId` - public ID of sending client
  `message` - message
Throws:
  `Exception`

### receiveCall

void receiveCall(String senderId, String msgId, Message message) throws Exception
Receives a message for which a response is required. The implementation must take care to call the hub's `reply` method at some future point.

Parameters:
  `senderId` - public ID of sending client
  `msgId` - message identifier for later use with reply
  `message` - message
Throws:
  `Exception`

### receiveResponse

void receiveResponse(String responderId, String msgTag, Response response) throws Exception
Receives a response to a message previously sent by this client.

Parameters:
  `responderId` - public ID of responding client
  `msgTag` - client-defined tag labelling previously-sent message
  `response` - returned response object
Throws:
  `Exception`